### Hierarchy

- TransportFactory

## Index

### Methods

- createHttpTransport
- createJsonRpcHttpTransport

## Methods

### Static createHttpTransport

- createHttpTransport(host: string, loggerService: Logger): HttpTransport

- - Defined in repository/source/TransportFactory.ts:10

  #### Parameters

  - ##### host: string

  - ##### loggerService: Logger

  #### Returns HttpTransport

### Static createJsonRpcHttpTransport

- createJsonRpcHttpTransport(host: string): RpcTransport

- - Defined in repository/source/TransportFactory.ts:14

  #### Parameters

  - ##### host: string

  #### Returns RpcTransport

Generated using TypeDoc